Method: networks.lineItems.creatives.batchUpdate

Batch updates LineItemCreativeAssociation objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/creatives:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where LineItemCreativeAssociations will be updated. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: networks/{networkCode}/lineItems/{lineItemId} Format: networks/{networkCode}/lineItems/-

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateLineItemCreativeAssociationRequest)
    }
  ]
}
Fields
requests[]

object (UpdateLineItemCreativeAssociationRequest)

Required. The LineItemCreativeAssociation objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for creatives.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "lineItemCreativeAssociations": [
    {
      object (LineItemCreativeAssociation)
    }
  ]
}
Fields
lineItemCreativeAssociations[]

object (LineItemCreativeAssociation)

The LineItemCreativeAssociation objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateLineItemCreativeAssociationRequest

Request object for creatives.patch method.

JSON representation
{
  "lineItemCreativeAssociation": {
    object (LineItemCreativeAssociation)
  },
  "updateMask": string
}
Fields
lineItemCreativeAssociation

object (LineItemCreativeAssociation)

Required. The LineItemCreativeAssociation to update. Format: networks/{networkCode}/lineItems/{lineItemId}/creatives/{creativeId}

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".